# Uses of Class
org.globus.gsi.proxy.ext.ProxyCertInfo

Packages that use ProxyCertInfo
Package
Description
org.globus.gsi.bc
org.globus.gsi.proxy
org.globus.gsi.proxy.ext
org.globus.gsi.util
org.globus.tools
Contains higher-level components which utilize the jGlobus library.

## Uses of ProxyCertInfo in org.globus.gsi.bc

Methods in org.globus.gsi.bc that return ProxyCertInfo
Modifier and Type
Method
Description
`static ProxyCertInfo`
BouncyCastleUtil.`getProxyCertInfo(org.bouncycastle.asn1.x509.TBSCertificateStructure crt)`
`static ProxyCertInfo`
BouncyCastleUtil.`getProxyCertInfo(org.bouncycastle.asn1.x509.X509Extension ext)`
Creates a `ProxyCertInfo` object from given extension.

## Uses of ProxyCertInfo in org.globus.gsi.proxy

Methods in org.globus.gsi.proxy with parameters of type ProxyCertInfo
Modifier and Type
Method
Description
`void`
IgnoreProxyPolicyHandler.`validate(ProxyCertInfo proxyCertInfo, CertPath certPath, int index)`
`void`
ProxyPolicyHandler.`validate(ProxyCertInfo proxyCertInfo, CertPath certPath, int index)`

## Uses of ProxyCertInfo in org.globus.gsi.proxy.ext

Methods in org.globus.gsi.proxy.ext that return ProxyCertInfo
Modifier and Type
Method
Description
`static ProxyCertInfo`
ProxyCertInfo.`getInstance(Object obj)`
Returns an instance of `ProxyCertInfo` from given object.
Constructors in org.globus.gsi.proxy.ext with parameters of type ProxyCertInfo
Modifier
Constructor
Description
``
`GlobusProxyCertInfoExtension(ProxyCertInfo value)`
``
`ProxyCertInfoExtension(ProxyCertInfo value)`

## Uses of ProxyCertInfo in org.globus.gsi.util

Methods in org.globus.gsi.util that return ProxyCertInfo
Modifier and Type
Method
Description
`static ProxyCertInfo`
ProxyCertificateUtil.`getProxyCertInfo(org.bouncycastle.asn1.x509.TBSCertificateStructure crt)`
`static ProxyCertInfo`
ProxyCertificateUtil.`getProxyCertInfo(org.bouncycastle.asn1.x509.X509Extension ext)`

## Uses of ProxyCertInfo in org.globus.tools

Fields in org.globus.tools declared as ProxyCertInfo
Modifier and Type
Field
Description
`protected ProxyCertInfo`
ProxyInit.`proxyCertInfo`
Methods in org.globus.tools with parameters of type ProxyCertInfo
Modifier and Type
Method
Description
`void`
ProxyInit.`setProxyCertInfo(ProxyCertInfo proxyCertInfo)`